Bug 1304147 - tidy 0.99 is too old and deprecated - new tidy 5.0 is out
tidy 0.99 is too old and deprecated - new tidy 5.0 is out
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tidy (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 20:28 EST by Dimitris
Modified: 2016-12-20 13:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:24:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitris 2016-02-02 20:28:10 EST
Description of problem:

Fedora currently ships with tidy 0.99, which is from 2008, currently deprecated old and unusable for HTML5 and current web standards.

The team behind tidy has moved on to update tidy for current technologies and to officially support HTML5. The new tidy is version 5.0 and has been released as stable.

This is a request to update the deprecated tidy package to the new 5.0 version (which has also moved away from sourceforge and its now hosted in github, they also have a new website).

http://www.html-tidy.org/
https://github.com/htacg/tidy-html5

Thank you.


Version-Release number of selected component (if applicable):

Name        : tidy
Arch        : x86_64
Epoch       : 0
Version     : 0.99.0
Release     : 34.20091203.fc23
Size        : 102 k
Repo        : fedora
Summary     : Utility to clean up and pretty print HTML/XHTML/XML
URL         : http://tidy.sourceforge.net/
License     : W3C
Comment 1 Rex Dieter 2016-02-02 21:24:02 EST
tidy-5.0 is already in rawhide

Holding off doing updates for prior releases (like f23) since it is a backward-incompatible, but we can consider it.

Rebasing bug to f23
Comment 2 Dimitris 2016-02-02 21:35:24 EST
Sorry about that, I should have checked rawhide first :P
Comment 3 Fedora End Of Life 2016-11-24 10:22:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 13:24:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.